Bug 977157 - PulseAudio equalizer does not load
PulseAudio equalizer does not load
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio-equalizer (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
: 1114317 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 18:25 EDT by Brandon
Modified: 2016-01-31 20:58 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:40:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon 2013-06-23 18:25:44 EDT
solution:  mkdir .pulse

[brandon@bcmobile ~]$ pulseaudio-equalizer-gtk &
[1] 2579
[brandon@bcmobile ~]$ Getting settings...
/usr/bin/pulseaudio-equalizer: line 221: /home/brandon/.pulse/equalizerrc: No such file or directory
mkdir: cannot create directory ‘/home/brandon/.pulse/presets’: No such file or directory
/usr/bin/pulseaudio-equalizer: line 229: /home/brandon/.pulse/equalizerrc.availablepresets.unsorted: No such file or directory
sed: couldn't flush stdout: Broken pipe
/usr/bin/pulseaudio-equalizer: line 232: /home/brandon/.pulse/equalizerrc.availablepresets.unsorted: No such file or directory
ls: cannot access /home/brandon/.pulse/presets/*.preset: No such file or directory
/usr/bin/pulseaudio-equalizer: line 235: /home/brandon/.pulse/equalizerrc.availablepresets: No such file or directory
rm: cannot remove ‘/home/brandon/.pulse/equalizerrc.availablepresets.unsorted’: No such file or directory
Traceback (most recent call last):
  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 535, in <module>
    Equalizer()
  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 357, in __init__
    GetSettings()
  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 46, in GetSettings
    f = open(eqconfig, "r")
IOError: [Errno 2] No such file or directory: '/home/brandon/.pulse/equalizerrc'
Comment 1 Rex Dieter 2013-10-06 09:58:03 EDT
Looks like pulseaudio uses ~/.config/pulse these days, -equalizer probably ought to use that too.
Comment 2 brian 2014-05-18 09:52:13 EDT
I can confirm this is still a problem in Fedora 20.

 /usr/bin/pulseaudio-equalizer-gtk 
Getting settings...
/usr/bin/pulseaudio-equalizer: line 221: /home/brian/.pulse/equalizerrc: No such file or directory
mkdir: cannot create directory ‘/home/brian/.pulse/presets’: No such file or directory
/usr/bin/pulseaudio-equalizer: line 229: /home/brian/.pulse/equalizerrc.availablepresets.unsorted: No such file or directory
sed: couldn't flush stdout: Broken pipe
/usr/bin/pulseaudio-equalizer: line 232: /home/brian/.pulse/equalizerrc.availablepresets.unsorted: No such file or directory
ls: cannot access /home/brian/.pulse/presets/*.preset: No such file or directory
/usr/bin/pulseaudio-equalizer: line 235: /home/brian/.pulse/equalizerrc.availablepresets: No such file or directory
rm: cannot remove ‘/home/brian/.pulse/equalizerrc.availablepresets.unsorted’: No such file or directory
Traceback (most recent call last):
  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 535, in <module>
    Equalizer()
  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 357, in __init__
    GetSettings()
  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 46, in GetSettings
    f = open(eqconfig, "r")
IOError: [Errno 2] No such file or directory: '/home/brian/.pulse/equalizerrc'
Comment 3 Erick Alfonzo 2014-05-26 17:26:44 EDT
Hello Brian,

I confirm this error is also present in Fedora 19. I created the .pulse folder inside my home and after that I executed the commands:

pulseaudio-equalizer enable-config
pulseaudio-equalizer enable

This created some files under .pulse

After that the pulseaudio-equalizer-gtk started fine.  I hope this helps.

Thank you.
Erick.
Comment 4 Fedora Admin XMLRPC Client 2014-07-08 07:23:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2014-08-14 07:41:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Christopher Beland 2014-11-05 10:57:45 EST
This is the same as Bug 1107589 (Fedora 20), which has a proposed patch.
Comment 7 Christopher Beland 2014-11-05 11:08:21 EST
Bug 892865 also has a patch.
Comment 8 Christopher Beland 2014-11-05 11:08:41 EST
*** Bug 1114317 has been marked as a duplicate of this bug. ***
Comment 9 Christopher Beland 2014-11-07 10:19:07 EST
Just a warning, if you:

ln -s ~/.config/pulse ~/.pulse

to fix this, the equalizer will start when requested, but pulseaudio will not start after reboot.
Comment 10 Fedora End Of Life 2015-01-09 13:30:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 10:40:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.